<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_PickUp StructType
 * @subpackage Structs
 */
class JP_PickUp extends AbstractStructBase
{
    /**
     * The FlightInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_FlightInfo
     */
    public $FlightInfo;
    /**
     * Constructor method for JP_PickUp
     * @uses JP_PickUp::setFlightInfo()
     * @param \StructType\JP_FlightInfo $flightInfo
     */
    public function __construct(\StructType\JP_FlightInfo $flightInfo = null)
    {
        $this
            ->setFlightInfo($flightInfo);
    }
    /**
     * Get FlightInfo value
     * @return \StructType\JP_FlightInfo|null
     */
    public function getFlightInfo()
    {
        return $this->FlightInfo;
    }
    /**
     * Set FlightInfo value
     * @param \StructType\JP_FlightInfo $flightInfo
     * @return \StructType\JP_PickUp
     */
    public function setFlightInfo(\StructType\JP_FlightInfo $flightInfo = null)
    {
        $this->FlightInfo = $flightInfo;
        return $this;
    }
}
